#include "App.h"
#include "Audio.h"
#include "BaseWindow.h"

#include <memory>
#include <iostream>

App::App()
{
    
    m_audio = std::make_unique<Audio>(Audio());
    m_window = std::make_unique<BaseWindow>(BaseWindow(800, 600, "Music", grey, *m_audio));
}

void App::Run()
{
    if (m_window->run()) {
        std::cout << "Something wrong happened. Quitting.\n";
    }
}